public inbox for git-commits@fedoraproject.org
help / color / mirror / Atom feed
From: Stepan Broz <sbroz@redhat.com>
To: git-commits@fedoraproject.org
Subject: [tests/selinux] pr775-checkpolicy-revdeps: exim-and-similar: Adjust subtest relevancy
Date: Fri, 11 Sep 2026 13:22:47 GMT [thread overview]
Message-ID: <178913296703.1.14078523110093941784.tests-selinux-e340f43c20b9@fedoraproject.org> (raw)
A new commit has been pushed.
Repo : tests/selinux
Branch : pr775-checkpolicy-revdeps
Commit : e340f43c20b9bc152a99aeb43fc1d1cdf0b5c87a
Author : Stepan Broz <sbroz@redhat.com>
Date : 2025-05-07T09:23:17+00:00
Stats : +15/-13 in 1 file(s)
URL : https://src.fedoraproject.org/tests/selinux/c/e340f43c20b9bc152a99aeb43fc1d1cdf0b5c87a?branch=pr775-checkpolicy-revdeps
Log:
exim-and-similar: Adjust subtest relevancy
Do not test "RHEL-14110 + RHEL-14186" and "RHEL-21902 + RHEL-21903" on
RHEL-9 lower than 9.4.
---
diff --git a/selinux-policy/exim-and-similar/runtest.sh b/selinux-policy/exim-and-similar/runtest.sh
index 4ed843c..f496967 100755
--- a/selinux-policy/exim-and-similar/runtest.sh
+++ b/selinux-policy/exim-and-similar/runtest.sh
@@ -89,7 +89,7 @@ rlJournalStart
rlPhaseEnd
fi
- if rlIsRHEL 8 9 || rlIsCentOS 8 9 ; then
+ if rlIsRHEL 8 || ( rlIsRHEL 9 && rlIsRHEL ">9.3" ) || rlIsCentOS 8 9 ; then
rlPhaseStartTest "RHEL-21902 + RHEL-21903"
rlSEMatchPathCon "/var/spool/exim/exim_daemon_notify" "exim_spool_t"
rlSESearchRule "allow exim_t exim_t : unix_dgram_socket { sendto } [ ]"
@@ -109,18 +109,20 @@ rlJournalStart
rlSEService ${ROOT_PASSWORD} ${SERVICE_NAME} ${PROCESS_NAME} ${PROCESS_CONTEXT} "restart status stop status" 1
rlPhaseEnd
- rlPhaseStartTest "real scenario -- RHEL-14110 + RHEL-14186"
- rlSEMatchPathCon "/var/spool/exim/input" "exim_spool_t"
- rlSESearchRule "allow system_mail_t exim_spool_t : dir { create } [ ]"
- rlRun "sed -i 's/^.*\(split_spool_directory\).*=.*$/\1 = true/' /etc/exim/exim.conf"
- rlRun "service exim start"
- rlRun "service atd start"
- rlRun "echo '/usr/bin/id -Z' | at now"
- sleep 15s
- rlRun "ls -lZ /var/spool/exim/input"
- rlRun "service atd stop"
- rlRun "service exim stop"
- rlPhaseEnd
+ if ! ( rlIsRHEL 9 && rlIsRHEL "<9.4" ) ; then
+ rlPhaseStartTest "real scenario -- RHEL-14110 + RHEL-14186"
+ rlSEMatchPathCon "/var/spool/exim/input" "exim_spool_t"
+ rlSESearchRule "allow system_mail_t exim_spool_t : dir { create } [ ]"
+ rlRun "sed -i 's/^.*\(split_spool_directory\).*=.*$/\1 = true/' /etc/exim/exim.conf"
+ rlRun "service exim start"
+ rlRun "service atd start"
+ rlRun "echo '/usr/bin/id -Z' | at now"
+ sleep 15s
+ rlRun "ls -lZ /var/spool/exim/input"
+ rlRun "service atd stop"
+ rlRun "service exim stop"
+ rlPhaseEnd
+ fi
fi
rlPhaseStartCleanup
reply other threads:[~2026-09-11 13:22 UTC|newest]
Thread overview: [no followups] expand[flat|nested] mbox.gz Atom feed
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=178913296703.1.14078523110093941784.tests-selinux-e340f43c20b9@fedoraproject.org \
--to=sbroz@redhat.com \
--cc=git-commits@fedoraproject.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox